﻿class ParentClass extends HTMLElement {
  //static get observedAttributes() { return ['parent-test']; };

  constructor() {
    super();
    this._shadow = this.attachShadow({mode:'closed'});

    //appending this element to another parent in the constructor trigger the problem
    dock.appendChild(this);
    console.log('parent constructor');
  };

  connectedCallback() {
    console.log('parent connected', this.isConnected);
  };

  disconnectedCallback() {
    console.log('parent disconnected', this.isConnected);
  };

  attributeChangedCallback(name, old, value) {
    console.log('parent attribute changed', name, old, value);
  };
}

const dock = document.createElement('div');
document.body.appendChild(dock);

customElements.define('parent-class', ParentClass);

export { ParentClass }